# Copyright 2012 Centre for Economic Studies and Planning (CESP)
#
# This script was written by Shreshtha Saraswat (shreshtha.saraswat at
# gmail dot com) as part of an initiative directed by Vikas Rawal
# (vikasrawal at gmail dot com) for preparing scripts for reading NSSO
# and ASI data. This initiative is supported by the CAS programme of
# CESP.
# 
# To run this, you need to specify below the ip address/hostname of
# the mysql server, the mysql username and mysql password.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

#! /bin/sh
server=127.0.0.1 # ip address/hostname of the mysql server 
username="USERNAME"   # mysql user name
pass="PASSWORD"    # password of the mysql user
time_start=`date +%s`
echo "Scripts to read ASI 1989-90 data called at `date`"
rm -Rf ../csv121erd
mkdir ../csv121erd
./asi8990.awk ../Data/ASID8990.TXT
echo "Data parsed into csv files for each level at `date`"
mysql --host=$server --user=$username --password=$pass < asi8990.sql
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK1_RC011.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK4_RC041.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK4_RC042.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK4_RC043.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK4_RC044.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK4_RC045.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK4_RC046.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK4_RC047.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK4_RC048.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK4_RC049.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK4A_RC050.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK5_RC051.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK5_RC052.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK5_RC053.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK5_RC054.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK7_RC071.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK7_RC072.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK7_RC073.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK7_RC074.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK14A_RC142.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK8_RC081.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK8_RC082.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK10_RC101.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK10_RC102.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK11_RC111.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK12_RC121.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK9_RC091.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK13_RC131.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK13_RC133.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK14_RC141.csv
mysqlimport -u $username -p$pass --fields-terminated-by=, ASI_89_90 --local ../csv121erd/BLOCK13A_RC132.csv
echo "Mysql database created at `date`"
echo "Now cleaning up..."
rm -Rf ../csv121erd
time_end=`date +%s`
time_exec=`expr $(( $time_end - $time_start ))`
echo "The script took $time_exec seconds to finish."
